
/* variables */
:root {
  
  --main-background-color: #060E10;
  
  --text-color-primary: #2ec3c1;
  --text-color-secondary: #2ec3c1;
  --text-color-tierary: #E62E3A;
  
  --button-color-primary: #10302F;
  --button-color-secondary: #10302F;
  --button-color-tertiary: #7a1116;
  
  --button-color-primary-75: #10302FBF;
  --button-color-secondary-75: #10302FBF;
  --button-color-tertiary-75: #7a1116BF;
  
  --button-color-primary-75-active: #1a6b69BF;
  
  --border-color-primary: #2ec3c1;
  --border-color-secondary: #2ec3c1;
  --border-color-tertiary: #E62E3A;
}

html, body {
  height: 100%;
  background-image: url("starfield.jpg");
  background-position: center;
  background-color: transparent;
}

.wrapper {
  background-color: transparent !important;
}

.container-fluid {
  padding-right: 0;
  padding-left: 0;
}

.content {
  padding: 0;
  margin: 0;
  text-align: center;
}

.content-wrapper {
  min-height: 0;
  background-color: transparent;
}

.skin-blue .sidebar-menu > li.active > a, .skin-blue .sidebar-menu > li:hover > a {
  border-left: 3px solid var(--border-color-primary);
}

.skin-blue .main-header .navbar .sidebar-toggle {
  background-color: var(--button-color-primary);
}

.skin-blue .main-header .navbar .sidebar-toggle:hover {
  background: rgba(0,0,0,.1);
}

#sidebarCollapsed {
  border-right: 1px solid var(--border-color-primary);
  border-top: 1px solid var(--border-color-primary);
}

.row {
  margin: 0;
}

.skin-blue .main-header .navbar {
  margin: 0;
  background-color: var(--button-color-primary);
}

.main-header .logo {
  display: none;
}

.tabbable {
  height: calc(90vh - 50px);
}

.nav-pills {
  height: 15%;
}

.tabbable li {
  height: 100%;
  width: 50%;
  display: table;
  font-size: 4vh;
}

.tabbable li a, .tabbable li a:active, .tabbable li a:focus, .tabbable li a:hover {
  height: 100%;
  padding: 0;
  display: table-cell;
  vertical-align: middle;
  border: none;
  color: var(--text-color-primary);
  background-color: var(--button-color-primary-75);
  border-top: 1px solid var(--border-color-primary);
  border-bottom: 2px solid var(--border-color-primary);
}

.tabbable li.active a, .tabbable li.active a:active, .tabbable li.active a:focus, .tabbable li.active a:hover {
  height: 100%;
  padding: 0;
  display: table-cell;
  vertical-align: middle;
  color: var(--text-color-primary);
  background-color: var(--button-color-primary-75-active);
  border-top: 1px solid var(--border-color-primary);
  border-right: none;
  border-bottom: 4px solid var(--border-color-primary);
  border-left: none;
}

.nav-pills li + li {
  margin: 0;
  border-left: 1px solid var(--border-color-primary);
}

.tab-content {
  height: 85%;
}

.tab-pane {
  height: 100%;
}

/* Top row */
.top-row {
  font-size: 0;
  height: 10%;
  position: relative;
  top: 5%;
}

.top-row button, .top-row button:active, .top-row button:hover, .top-row button:focus, .top-row button:active:focus, .top-row button:active:hover {
  width: 10%;
  height: 100%;
  border-radius: 0;
  margin: 0 0.1% 0 0.1%;
  color: var(--text-color-primary);
  border: 1px solid var(--border-color-primary);
  font-size: 2vh;
  line-height: 2vh;
  
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#10302f+0,10302f+100&0.9+64,0.6+100 */
  background: -moz-linear-gradient(top, rgba(16,48,47,0.9) 0%, rgba(16,48,47,0.9) 64%, rgba(16,48,47,0.6) 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, rgba(16,48,47,0.9) 0%,rgba(16,48,47,0.9) 64%,rgba(16,48,47,0.6) 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, rgba(16,48,47,0.9) 0%,rgba(16,48,47,0.9) 64%,rgba(16,48,47,0.6) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e610302f', endColorstr='#9910302f',GradientType=0 ); /* IE6-9 */
  
}

.top-row button#v_throttle_100 {
  color: var(--text-color-tierary);
  border: 1px solid var(--border-color-tertiary);
  
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#7a1116+0,7a1116+100&0.25+0,0.9+100 */
  background: -moz-linear-gradient(top, rgba(122,17,22,0.25) 0%, rgba(122,17,22,0.9) 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, rgba(122,17,22,0.25) 0%,rgba(122,17,22,0.9) 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, rgba(122,17,22,0.25) 0%,rgba(122,17,22,0.9) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#407a1116', endColorstr='#e67a1116',GradientType=0 ); /* IE6-9 */
}


/* Center block */

.center-block {
  font-size: 0;
  width: 90%;
  margin: auto;
  height: 50%;
  position: relative;
  top: 13%;
}

.center-block button, .center-block button:active, .center-block button:focus, .center-block button:hover, .center-block button:active:hover, .center-block button:active:focus {
  width: 50%;
  border-radius: 0;
  height: 33.333%;
  color: var(--text-color-primary);
  background-color: var(--button-color-primary);
  font-size: 3vh;
  margin-top: 0.3%;
  border: 1px solid var(--border-color-primary);
}

.center-block button#v_flightready, .center-block button#v_view_cycle_fwd, .center-block button#v_view_look_behind {
  
  text-align: left;
  padding-left: 5%;
  
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#10302f+0,10302f+100&0.9+0,0.5+100 */
  background: -moz-linear-gradient(left, rgba(16,48,47,0.9) 0%, rgba(16,48,47,0.5) 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(left, rgba(16,48,47,0.9) 0%,rgba(16,48,47,0.5) 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to right, rgba(16,48,47,0.9) 0%,rgba(16,48,47,0.5) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#e610302f', endColorstr='#8010302f',GradientType=1 ); /* IE6-9 */
  
}

.center-block button#v_toggle_landing_system, .center-block button#engage_auto_land, .center-block button#v_exit {
  
  text-align: right;
  padding-right: 5%;
  
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#10302f+0,10302f+100&0.5+0,0.9+100 */
  background: -moz-linear-gradient(left, rgba(16,48,47,0.5) 0%, rgba(16,48,47,0.9) 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(left, rgba(16,48,47,0.5) 0%,rgba(16,48,47,0.9) 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to right, rgba(16,48,47,0.5) 0%,rgba(16,48,47,0.9) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8010302f', endColorstr='#e610302f',GradientType=1 ); /* IE6-9 */
  
}

.center-block button#v_toggle_qdrive_engagement {
  position: absolute;
  border-radius: 50%;
  width: 40%;
  height: 120%;
  top: -10%;
  left: 50%;
  margin-left: -20%;
  border: 5px solid gray;
  background-color: var(--button-color-primary);
  font-size: 4vh;
}

.center-block button#v_toggle_qdrive_spooling {
  height: 25%;
  position: relative;
  margin-top: -3%;
  background-color: var(--button-color-primary);
  border-left: none;
  border-right: none;
}

/* Danger block */

.danger-block {
  top: 26%;
  height: 10%;
  position: relative;
}

.danger-block button, .danger-block button:active, .danger-block button:focus, .danger-block button:hover, .danger-block button:active:hover, .danger-block button:active:focus {
  background-color: red;
  width: 25%;
  border-radius: 5px;
  height: 100%;
  font-size: 3vh;
  margin-top: 0.3%;
  
  color: var(--text-color-tierary);
  border: 1px solid var(--border-color-tertiary);
  
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#7a1116+0,7a1116+100&0.25+0,0.9+100 */
  background: -moz-linear-gradient(top, rgba(122,17,22,0.25) 0%, rgba(122,17,22,0.9) 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, rgba(122,17,22,0.25) 0%,rgba(122,17,22,0.9) 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, rgba(122,17,22,0.25) 0%,rgba(122,17,22,0.9) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#407a1116', endColorstr='#e67a1116',GradientType=0 ); /* IE6-9 */
}

.danger-block button#v_self_destruct {
  margin-right: 40%;
}









.mfd-footer {
  height: 10vh;
  width: 100%;
  margin: 0;
  font-size: 0;
}

.mfd-footer button, .mfd-footer button:hover, .mfd-footer button:focus, .mfd-footer button:active, .mfd-footer button:active:focus, .mfd-footer button:active:hover {
  height: 100%;
  width: 10%;
  border-radius: 0;
  color: var(--text-color-primary);
  border-top: 1px solid var(--border-color-primary);
  border-bottom: none;
  border-right: none;
  border-left: none;
  font-size: 2vh;
  
  /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#10302f+0,10302f+100&0.75+0,0.9+77 */
  background: -moz-linear-gradient(top, rgba(16,48,47,0.75) 0%, rgba(16,48,47,0.9) 77%, rgba(16,48,47,0.9) 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, rgba(16,48,47,0.75) 0%,rgba(16,48,47,0.9) 77%,rgba(16,48,47,0.9) 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, rgba(16,48,47,0.75) 0%,rgba(16,48,47,0.9) 77%,rgba(16,48,47,0.9) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#bf10302f', endColorstr='#e610302f',GradientType=0 ); /* IE6-9 */
}

.mfd-footer button + button, .mfd-footer button + button:hover, .mfd-footer button + button:focus, .mfd-footer button + button:active, .mfd-footer button + button:active:focus, .mfd-footer button + button:active:hover {
  border-left: 1px solid var(--border-color-primary);
}

#shiny-disconnected-overlay {
  
}

/*
.mfd-footer-row-inner {
  height: 50%;
  width: 100%;
  margin: 0;
}

.mfd-footer-col {
  height: 50%;
  padding: 0;
}

.mfd-footer-col-center {
  height: 100%;
  padding: 0;
  background-color: red;
}

.mfd-footer-button {
  width: 32%;
  height: 100%;
  border-radius: 0;
  background-color: #092434;
  color: #7AD2DD;
  border-width: 2px 0 0 0;
  border-color: #7AD2DD;
}
*/
